board-github
POST /v1/board-github/links/{linkId}/sync
Refresh one connection from GitHub now.
Autenticación
Envía una clave de API como token de portador. Este endpoint no especifica un permiso concreto en la especificación, así que otorga a tu clave los mínimos privilegios necesarios y comprueba la respuesta en lugar de dar por sentado.
Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.
Pruébalo
Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.
curl -X POST https://api.zinndigital.com/v1/board-github/links/{linkId}/sync \
-H "Authorization: Bearer zdk_live_…"¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API
Detalles
The Temporal sweep does this every five minutes and the webhook does it in seconds; this is the button for somebody who does not want to wait. Both cursors come back. `last_attempted_at` moves for every attempt and `last_synced_at` only on success — so *"last synced 4 minutes ago"* beside *"last attempted 10 seconds ago"* is how a customer sees that we are trying and GitHub is refusing. One timestamp cannot say that.
Parámetros
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
linkId (path) | string | Sí | The GitHub Projects connection. |
Respuesta
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
ok | boolean | No | A distinct field rather than something inferred from the counts. A project that legitimately has no items and a sync that could not see anything are the same zeros. |
error | string | No | — |
items_seen | integer | No | — |
items_created | integer | No | — |
items_updated | integer | No | — |
items_archived | integer | No | — |
fields_seen | integer | No | — |
conflicts | integer | No | — |
pushed_back | integer | No | Fields OUR value won and were therefore re-pushed to GitHub. Keeping a won value only on our side would be a resolution that resolves nothing and reports the same conflict on th… |
pages | integer | No | — |
last_synced_at | string | No | — |
last_attempted_at | string | No | — |
Errores que este endpoint puede devolver
401 · 403 · 404